#include <stdio.h>
#include <stdlib.h>
#include <dmedia/cl.h>

CLhandle compress_handle, decompress_handle;
char *compress_buf;
int block_size;

int compress_init()
  {
     int buf_size;

    clOpenCompressor(1, &compress_handle);

     clSetParam(compress_handle, CL_ORIGINAL_FORMAT, CL_MONO);
     clSetParam(compress_handle, CL_FRAME_RATE, 8000);

     block_size =  clGetParam(compress_handle, CL_BLOCK_SIZE);
     printf("Block size: %d\n", block_size);
     
     clSetParam(compress_handle, CL_COMPRESSED_BUFFER_SIZE, 800);
     buf_size = clGetParam(compress_handle, 
				      CL_COMPRESSED_BUFFER_SIZE);

     printf("Buffer size: %d\n", buf_size);

     compress_buf = malloc(buf_size);

     return block_size;
  }

int compress(char *inbuf, int n, char *outbuf)
  {
     int compressed_buffer_size;

     outbuf = malloc(clGetParam(compress_handle, 
				      CL_COMPRESSED_BUFFER_SIZE));

     clCompress(compress_handle, block_size, inbuf, &compressed_buffer_size, 
		outbuf);
     return compressed_buffer_size;
  }

compress_close()
  {
     free(compress_buf);
     clCloseCompressor(compress_handle);
  }




void decompress_init()
  {
     clOpenDecompressor(1, &decompress_handle);

     clSetParam(decompress_handle, CL_ORIGINAL_FORMAT, CL_MONO);
     clSetParam(decompress_handle, CL_FRAME_RATE, 8000);
  }

void decompress(char *inbuf, int size, char *outbuf)
  {
     clDecompress(decompress_handle, block_size, size, 
		inbuf, outbuf);
  }

decompress_close()
  {
     clCloseDecompressor(decompress_handle);
  }

