/*
 ********************************************************************
 *                InSoft Plugin Protocol Specification              *
 *                                                                  *
 *                       (c) 1994 InSoft, Inc.                      *
 ********************************************************************
 *
 * Name:	SamplePluginProtocol.h
 *
 * Plugin:	ISSamplePlugin
 *
 * Port:        40000
 *
 * Description: This is a very simple Plugin that uses standard
 * 		widgets to show the status of a few different settings.
 *		These settings include music, drinks and temperature.	 
 * 		Obviously, there is very little in the way of useful
 *		functionality to this Plugin, aside from the basic message
 *		passing, but all of the calls needed to write complex 
 *		Plugins are here. Included in this example are all the 
 * 		necessary calls for clipboarding and simple text clipboard 
 * 		entries are used here.
 *
 * Author:      Richard H. Pizzarro     (12/1/94)
 *
 * Change Log:
 */

#define		SAMPLE_PLUGIN_PORT      70000
#define         VERSION      		1

/*
 * Structures and Defines Plugin Protocol...
 */
#define         TEMPERATURE_CHANGE      10
#define         MUSIC_CHANGE            11
#define         DRINK_CHANGE            12
#define         QUERY_PLUGIN_STATUS     14
#define         UPDATE_ALL_DATA         15
#define         TEXT_MESSAGE            16

typedef struct {
        u_int32			protocolVersion;
        u_int32			temperature;
        u_int32			musicChoices;
        u_int32			drinkSelection;
	u_int32         	messageSize;
	char            	message[1];
} samplePluginMessageStructure;

/*
 * These are the clipboard formats. 
 */
#define	IS_TEXT_CLIPBOARD_ITEM		"text"
#define	IS_IMAGE_CLIPBOARD_ITEM		"image"
